#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Style preserving TOML library
Summary(pl.UTF-8):	Biblioteka TOML zachowująca styl
Name:		python3-tomlkit
Version:	0.13.3
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/tomlkit/
Source0:	https://files.pythonhosted.org/packages/source/t/tomlkit/tomlkit-%{version}.tar.gz
# Source0-md5:	b77382a3de2e0c1ab715ad456139e260
URL:		https://pypi.org/project/tomlkit/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-poetry-core >= 1.0.0
%if %{with tests}
BuildRequires:	python3-PyYAML >= 6.0
BuildRequires:	python3-pytest >= 7.2.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-furo >= 2022.9.29
BuildRequires:	sphinx-pdg >= 4.3.2
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TOML Kit is a 1.0.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible
and editable via an intuitive API.

%description -l pl.UTF-8
TOML Kit to biblioteka TOML zgodna z 1.0.0.

Zawiera parser zachowujący wszystkie komentarze, wcięcia, białe znaki
oraz kolejność elementów wewnętrznych i pozwalający na dostęp oraz
edycję poprzez intuicyjne API.

%package apidocs
Summary:	API documentation for Python tomlkit module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona tomlkit
Group:		Documentation

%description apidocs
API documentation for Python tomlkit module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona tomlkit.

%prep
%setup -q -n tomlkit-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/tomlkit
%{py3_sitescriptdir}/tomlkit-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Fri Jul 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-tomlkit.git;a=log;h=master

* Fri Jul 04 2025 Jakub Bogusz <qboosh@pld-linux.org> bf0f322
- updated to 0.13.3

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> b993352
- Up to 0.13.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f6c7edb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1c6d690
- python 3.13 rebuild

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 0b41bbc
- updated to 0.11.4 for python 3.6+

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> decbe27
- new

